export const schema = gql`
  type Artikel {
    id: Int!
    name: String!
    preis: Float
    kategorie: Kategorie
    kategorie_id: Int
    kaeufe: [KaufArtikel]!
  }

  type Query {
    artikels: [Artikel!]! @requireAuth
    artikel(id: Int!): Artikel @requireAuth
  }

  input CreateArtikelInput {
    name: String!
    preis: Float
    kategorie_id: Int
  }

  input UpdateArtikelInput {
    name: String
    preis: Float
    kategorie_id: Int
  }

  type Mutation {
    createArtikel(input: CreateArtikelInput!): Artikel! @requireAuth
    updateArtikel(id: Int!, input: UpdateArtikelInput!): Artikel! @requireAuth
    deleteArtikel(id: Int!): Artikel! @requireAuth
  }
`
